<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		function funcion1(){
			// Crearia otro documento por que esta ya creado el documento  
			document.querySelector("#salida").innerHTML="Hola clase";
		}		
	</script>
</head>
<body>
	<script type="text/javascript">
		document.write("<div>hola</div>");

	</script>

	<div onclick="funcion1()">
		Adios
	</div>

	<div id="salida">
		
	</div>

</body>
</html>